
QGIS Application - Bug report #8782

can't open compressed geotiff - missing codec

2013-10-06 08:20 AM - David Strip

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 17486

Description

Adding a compressed geotiff layer produces an error message 

    <filename> is not a supported raster data source

    Cannot open TIFF file due to missing codec

This same file will display in  tiff viewer or browser, gdalinfo shows its properties, and if I uncompress the file, the uncompressed version

will open in qgis.

History

#1 - 2013-10-06 08:21 AM - Giovanni Manghi

what version of qgis? what platform?

#2 - 2013-10-06 08:21 AM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2013-10-06 08:47 AM - David Strip

Platform:Win 7 Professional SP1, 64 bit

Version: 2.0.1 64 bit

QGIS version    2.0.1-Dufour    QGIS code revision    d94c044

Compiled against Qt    4.8.5    Running against Qt    4.8.5

Compiled against GDAL/OGR    1.10.0    Running against GDAL/OGR    1.10.0

Compiled against GEOS    3.4.2-CAPI-1.8.2    Running against GEOS    3.4.2-CAPI-1.8.2 r3921

PostgreSQL Client Version    9.2.4    SpatiaLite Version    4.1.1

QWT Version    5.2.3    PROJ.4 Version    480

QScintilla2 Version

Compression type: Deflate. Have not tested against other compression modes

#4 - 2013-10-07 06:20 PM - David Strip

I have now tested LZW and PACKBITS. Both are successfully opened by qgis 2.0.1

The file I have been testing against is a paletted file, which is no valid for the remaining compression modes.
#5 - 2013-10-07 09:56 PM - Jukka Rahkonen

Hi,

Paletted and deflate compressed files works for me with QGIS 2.0.1 which comes with GDAL 1.9.2 on 32-bit Windows. Perhaps there is something wrong

with the 64-bit GDAL 1.10.0. Try if you can do gdalinfo or gdal_translate with executables which are maybe in C:\\Program Files\\QGIS Dufour\\bin. I am

not sure if that works, though. There can be troubles with paths.

#6 - 2013-10-08 07:00 AM - David Strip

deflate works on 32 bit GDAL, but apparently not on 64 bit. I tested a deflate file against the 64bit gdal packaged with qgis 2.0.1 Dufur and it gives an error

message that deflate is not supported. This might actually be a problem with the tiff lib rather than gdal itself.

#7 - 2013-10-08 07:27 AM - David Strip

I just downloaded the latest release build of gdal from gisinternals.com (labeled release-1600-x64-gdal-1-10-1-mapserver-6-4-0). deflate compression is

supported in this build. Apparently there is something wrong with the build packaged in Dufur.

#8 - 2013-10-09 12:36 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to up/downstream

seems then an issue in the osgeo4w 64 bit packages. Please file your notes here:

http://trac.osgeo.org/osgeo4w/report/1?asc=0&#38;sort=ticket&#38;USER=anonymous

#9 - 2013-10-10 10:27 PM - Jürgen Fischer

Giovanni Manghi wrote:

seems then an issue in the osgeo4w 64 bit packages. Please file your notes here:

http://trac.osgeo.org/osgeo4w/report/1?asc=0&#38;sort=ticket&#38;USER=anonymous

Only if you can reproduce the problem in OSGeo4W - although the standalone installers are made from OSGeo4W packages and should behave the

same.  They always are snapshots of OSGeo4W and OSGeo4W might already have newer packages.  This is probably the case here too.

#10 - 2013-10-10 10:32 PM - Jürgen Fischer

Giovanni Manghi wrote:

seems then an issue in the osgeo4w 64 bit packages. Please file your notes here:

See also OSGeo4W !#382
